Bug 973819 - channel.software.syncRepo requires org_admin role
Summary: channel.software.syncRepo requires org_admin role
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
(Show other bugs)
Version: 1.9
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: space20
TreeView+ depends on / blocked
 
Reported: 2013-06-12 20:31 UTC by Shannon Hughes
Modified: 2013-08-05 06:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 973363
Environment:
Last Closed: 2013-08-05 06:36:38 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to allow channel admins to sync repos (3.04 KB, patch)
2013-06-12 20:32 UTC, Shannon Hughes
no flags Details | Diff

Description Shannon Hughes 2013-06-12 20:31:40 UTC
+++ This bug was initially created as a clone of Bug #973363 +++

Description of problem:

api calls to the channel.software.syncRepo method require the user to have org admin role where the other channel api calls require channel_admin

Traceback (most recent call last):
  File "syncRepo-cron.py", line 8, in <module>
    result = client.channel.software.syncRepo(key,'vmware-tools-rhel5','0 * * * * ?')
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1253, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault -1: 'redstone.xmlrpc.XmlRpcFault: unhandled internal exception: You do not have permissions to perform this action. You need to have atleast a Organization Administrator role to perform this action'>

On close inspection we are sending over an async call to taskomatic api where we check specifically for org admin role. 

was going to create a patch to allo repo syncs to allow channel admin role

--- Additional comment from Shannon Hughes on 2013-06-12 11:00:18 EDT ---

proposal to allow channel admin roles to sync repos

Comment 1 Shannon Hughes 2013-06-12 20:32:36 UTC
Created attachment 760315 [details]
patch to allow channel admins to sync repos

patch to allow channel admins to sync repos

Comment 3 Tomáš Kašpárek 2013-06-18 11:12:23 UTC
committed patch into spacewalk.git: 5a587d683c527ca6b270d3bb83f73a456fbae4b6

Comment 5 Tomáš Kašpárek 2013-08-05 06:36:38 UTC
Fix for this issue is fixed in Spacewalk 2.0 therefore closing this as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.